Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class EXPLICIT.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.EXPLICIT.Template

public static class EXPLICIT.Template
extends java.lang.Object
implements ASN1Template

A template for decoding an object wrapped in an EXPLICIT tag.

Field Summary
`private ASN1Template` | `content`
`private Tag` | `tag`

Constructor Summary
`private` | `EXPLICIT.Template()`
`` | `EXPLICIT.Template(Tag tag, ASN1Template content)` Creates a template for unwrapping an object wrapped in an explicit tag.

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)`
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)`
`boolean` | `tagMatch(Tag tag)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### content

    private ASN1Template content

### tag

    private Tag tag

Constructor Detail

### EXPLICIT.Template

    private EXPLICIT.Template()

### EXPLICIT.Template

    public EXPLICIT.Template(Tag tag,
                             ASN1Template content)

  Creates a template for unwrapping an object wrapped in an explicit tag. For example, to decode:

       MyValue ::= [3] EXPLICIT INTEGER

  use:

       EXPLICIT.Template myTemplate = new EXPLICIT.Template( new Tag(3),
            new INTEGER.Template() );

  Parameters:
    `tag` - The tag value of the EXPLICIT tag.
    `content` - The template for decoding the object that is wrapped in the explicit tag.

Method Detail

### tagMatch

    public boolean tagMatch(Tag tag)

  Specified by:
    tagMatch in interface ASN1Template

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Specified by:
    decode in interface ASN1Template

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Specified by:
    decode in interface ASN1Template

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD